class RegisterRequest {
  String agent = 'Feedify Android Application 1.0';
  String endpoint = 'https://fcm.googleapis.com/fcm/send/';
  String fcmToken = '';
  String feedifyUser = '';
  String feedifyKey = '';
  String feedifyDomain = '';
  String browser = 'Android Application';
  String deviceUuid = '';

  RegisterRequest(String fcmTok, String feedUser, String feedKey,
      String feedDomain, String uuid) {
    fcmToken = fcmTok;
    feedifyUser = feedUser;
    feedifyDomain = feedDomain;
    feedifyKey = feedKey;
    deviceUuid = uuid;
  }

  toMap() {
    var map = {};
    map['agent'] = agent;
    map['endpoint'] = endpoint + fcmToken;
    map['registration_id'] = fcmToken;
    map['user_id'] = feedifyUser;
    map['domkey'] = feedifyKey;
    map['referrer'] = feedifyDomain;
    map['browser'] = browser;
    map['uuid'] = deviceUuid;
    return map;
  }

  @override
  String toString() {
    return 'agent :: $agent, endpoint :: $endpoint+$fcmToken, registration_id :: $fcmToken, '
        'user_id:: $feedifyUser , domkey:: $feedifyKey, referrer:: $feedifyDomain,browser ::$browser , uuid:: $deviceUuid ';
  }
}
